init_rs_non_canonical
Prev | Chapter 5. Public Functions Provided | Next

## Name

init_rs_non_canonical — Find a matching or allocate a new rs control

## Synopsis

`struct rs_control * init_rs_non_canonical (` | int | symsize,
| int (* | gffunc`(`int`)`,
| int | fcr,
| int | prim,
| int | nroots`)`;

## Arguments

`symsize`

  the symbol size (number of bits)

`gffunc`

  pointer to function to generate the next field element, or the multiplicative identity element if given 0. Used instead of gfpoly if gfpoly is 0

`fcr`

  the first consecutive root of the rs code generator polynomial in index form

`prim`

  primitive element to generate polynomial roots

`nroots`

  RS code generator polynomial degree (number of roots)

## Description

structure, for fields with non-canonical representation

Prev | Up | Next
init_rs | Home | encode_rs8